%define	name	xmms-liveice
%define	version	1.0.0
%define	release	4fm
%define	prefix	/usr

Summary:	LiveIce Plugin for XMMS
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Multimedia
URL:		http://star.arm.ac.uk/~spm/software/liveice.html
Vendor:		Scott Manley <spm@star.arm.ac.uk>
Source:		liveice-xmms.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}
Requires:	xmms >= 1.0.0
BuildPrereq:	xmms-devel

Packager:	S Yoder <computer AT flatmtn DOT com>

%description
LiveIce Plugin for XMMS

LiveIce XMMS is an effects plugin for xmms which sends streams to IceCast
and provides a limited set of functions similar to those provided by liveice
but without half the hassle. LiveIce XMMS lacks many of the features of
the full version of LiveIce but provides the main functions needed to
stream from xmms. Much of this simplicity comes from the GUI which was
designed by Peter from the XMMS team.

%prep
%setup -q -n LiveIce-%{version}

%build
%configure --prefix=%{prefix}

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/lib/xmms/Effect/libliveice.*

%changelog
* Sat Nov 22 2003 S Yoder <computer AT flatmtn DOT com>
  [xmms-liveice-1.0.0-4]
- rebuilt with newer source tar.gz, No version number change
- renamed spec file, to not conflict with the liveice spec file
- rebuilt for RedHat 9.0 (shrike)

* Fri Mar 10 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-liveice-1.0.0-3]
- Rebuilt with a newer source tar.gz, No version number change.

* Sat Feb  5 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-liveice-1.0.0-2]
- Fixed description. Was majorly wrong.

* Fri Feb  4 2000 Ryan Weaver <ryanw@infohwy.com>
- Initial RPM Build.

  [xmms-liveice-1.0.0-1]
- Fixed memory leak in liveice.c
- Setup the GUI to use the check buttons
- Added data structures for checking conditions
- Changed the restart code to be more intelligent (read long)
- Closes connection when you hit OK or apply 
  I know this is far from Ideal - but it makes it more useful

